Bug 1410352 - Missing symbol LZ4_versionString
Summary: Missing symbol LZ4_versionString
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lz4
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 09:11 UTC by Remi Collet
Modified: 2017-01-09 01:21 UTC (History)
2 users (show)

Fixed In Version: lz4-1.7.5-1.fc25 lz4-1.7.5-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-09 01:21:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github lz4 lz4 issues 301 None None None 2017-01-05 09:13:01 UTC

Description Remi Collet 2017-01-05 09:11:16 UTC
Description of problem:
Missing symbol LZ4_versionString

Version-Release number of selected component (if applicable):
lz4-1.7.4.2-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. grep LZ4_version /usr/include/lz4*
2. objdump -T /usr/lib64/liblz4.so.1.7.4 | grep Version
3.

Actual results:
$ grep LZ4_version /usr/include/lz4*
LZ4LIB_API int LZ4_versionNumber (void);
LZ4LIB_API const char* LZ4_versionString (void);
$ objdump -T /usr/lib64/liblz4.so.1.7.4  | grep LZ4_version
0000000000002be0 g    DF .text	0000000000000006  Base        LZ4_versionNumber


Expected results:
Both LZ4_versionNumber and Z4_versionString available

Additional info:
Trying to use this function, with system liblz4, raise a critical error: undefined symbol: LZ4_versionString

Comment 1 Remi Collet 2017-01-05 10:13:08 UTC
This bug seems to be fixed in upstream version 1.7.5

With 1.7.4.2

$ objdump -T ./lib/liblz4.so | grep -i version
0000000000012700 g    DF .text	0000000000000006  Base        LZ4_XXH_versionNumber
0000000000013700 g    DF .text	0000000000000006  Base        LZ4F_getVersion
00000000000025c0 g    DF .text	0000000000000006  Base        LZ4_versionNumber


With 1.7.5

$ objdump -T ./lib/liblz4.so | grep -i version
0000000000002610 g    DF .text	0000000000000008  Base        LZ4_versionString
0000000000017390 g    DF .text	0000000000000006  Base        LZ4_XXH_versionNumber
0000000000010280 g    DF .text	0000000000000006  Base        LZ4F_getVersion
0000000000002600 g    DF .text	0000000000000006  Base        LZ4_versionNumber

Comment 2 Fedora Update System 2017-01-05 10:55:25 UTC
lz4-1.7.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00972da497

Comment 3 Fedora Update System 2017-01-05 10:55:40 UTC
lz4-1.7.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d473ea609

Comment 4 Fedora Update System 2017-01-05 17:30:59 UTC
lz4-1.7.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cd85b86bb1

Comment 5 Fedora Update System 2017-01-05 17:31:08 UTC
lz4-1.7.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50266d2d64

Comment 6 Fedora Update System 2017-01-05 23:20:48 UTC
lz4-1.7.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d473ea609

Comment 7 Fedora Update System 2017-01-05 23:50:48 UTC
lz4-1.7.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00972da497

Comment 8 Fedora Update System 2017-01-06 07:52:59 UTC
lz4-1.7.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-07 00:48:15 UTC
lz4-1.7.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cd85b86bb1

Comment 10 Fedora Update System 2017-01-07 00:49:20 UTC
lz4-1.7.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50266d2d64

Comment 11 Fedora Update System 2017-01-09 01:21:34 UTC
lz4-1.7.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.